version: "2.1"
services:
  pairdrop:
    image: lscr.io/linuxserver/pairdrop:latest
    container_name: pairdrop
    networks:
      - traefik
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/UTC
      - RATE_LIMIT=false #optional
      - WS_FALLBACK=false #optional
      - RTC_CONFIG= #optional
      - DEBUG_MODE=false #optional

    labels:
      - "traefik.enable=true"
      - "traefik.http.middlewares.auth.basicauth.users=fartin:$$apr1$zlkymds4$hQVyOHjZ.hB8TVyCwmetv0"
      - "traefik.http.routers.pairdrop.middlewares=auth"
      - "traefik.http.routers.pairdrop.entrypoints=websecure"
      - "traefik.http.routers.pairdrop.rule=Host(`pair.$DOMAIN_NAME`)"
      - "traefik.http.routers.pairdrop.tls.certresolver=letsencr"
      - "traefik.http.services.pairdrop.loadbalancer.server.port=3000"
    ports:
      - 3003:3000
    restart: unless-stopped

networks:
  traefik:
    external: true
